# QApplication Class Reference

### [com.trolltech.qt.gui package]

Inherits QCoreApplication.

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QApplication prototype object
- QWidget activeModalWidget()
- QWidget activePopupWidget()
- QWidget activeWindow()
- void alert(QWidget widget, int duration)
- List allWidgets()
- void beep()
- void changeOverrideCursor(QCursor arg__1)
- QClipboard clipboard()
- int colorSpec()
- QDesktopWidget desktop()
- bool desktopSettingsAware()
- QWidget focusWidget()
- QFont font()
- bool isEffectEnabled(UIEffect arg__1)
- bool isLeftToRight()
- bool isRightToLeft()
- LayoutDirection keyboardInputDirection()
- QLocale keyboardInputLocale()
- KeyboardModifiers keyboardModifiers()
- MouseButtons mouseButtons()
- QCursor overrideCursor_private()
- QPalette palette()
- KeyboardModifiers queryKeyboardModifiers()
- void restoreOverrideCursor()
- void setActiveWindow(QWidget act)
- void setColorSpec(int arg__1)
- void setDesktopSettingsAware(bool arg__1)
- void setEffectEnabled(UIEffect arg__1, bool enable)
- void setFont(QFont arg__1, char className)
- void setGraphicsSystem(String arg__1)
- void setOverrideCursor(QCursor arg__1)
- void setPalette(QPalette arg__1, char className)
- void setStyle(QStyle arg__1)
- QStyle style()
- void syncX()
- QWidget topLevelAt(QPoint p)
- List topLevelWidgets()
- Type type()
- QWidget widgetAt(QPoint p)
- Tty
- GuiClient
- GuiServer
- Type( value )
- NormalColor = 0
- CustomColor = 1
- ManyColor = 2
- ColorSpec( value )

### Prototype Object Properties

The QApplication prototype object inherits properties from the QCoreApplication prototype object and also has the following properties.

- QInputContext inputContext()
- bool isSessionRestored()
- String sessionId()
- String sessionKey()
- void setInputContext(QInputContext arg__1)

### Instance Properties

QApplication objects inherit properties from the QApplication prototype object and also have the following properties.

- layoutDirection
- windowIcon
- cursorFlashTime
- doubleClickInterval
- keyboardInputInterval
- wheelScrollLines
- globalStrut
- startDragTime
- startDragDistance
- quitOnLastWindowClosed
- styleSheet
- autoSipEnabled